Returns an array representing the font metrics

- « Imagick::quantizeImages

- Imagick::queryFonts »

- PHP Manual
- Imagick
- Returns an array representing the font metrics

# Imagick::queryFontMetrics

(PECL imagick 2, PECL imagick 3)

Imagick::queryFontMetrics — Returns an array representing the font metrics

### Description

public Imagick::queryFontMetrics(ImagickDraw `$properties`, string `$text`, bool `$multiline` = ?): array

Returns a multi-dimensional array representing the font metrics.

### Parameters

`properties`

  ImagickDraw object containing font properties

`text`

  The text

`multiline`

  Multiline parameter. If left empty it is autodetected

### Return Values

Returns a multi-dimensional array representing the font metrics.

### Errors/Exceptions

Throws ImagickException on error.

### Examples

Example #1 Using Imagick::queryFontMetrics():

Query the metrics for the text and dump the results on the screen.

    <?php
    /* Create a new Imagick object */
    $im = new Imagick();

    /* Create an ImagickDraw object */
    $draw = new ImagickDraw();

    /* Set the font */
    $draw->setFont('/path/to/font.ttf');

    /* Dump the font metrics, autodetect multiline */
    var_dump($im->queryFontMetrics($draw, "Hello World!"));
    ?>